%bcond_without check

Name:           mitmproxy
Version:        8.1.1
Release:        2%{?dist}
Summary:        Interactive SSL-capable intercepting HTTP proxy
License:        MIT
URL:            https://www.mitmproxy.org/
Source0:        https://github.com/mitmproxy/mitmproxy/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/mitmproxy/mitmproxy/issues/5474
Patch0:         %{name}-python311.patch
# relax dep versions requirements
Patch1:         %{name}-deps.patch
# fix tests
Patch2:         %{name}-tests.patch
# fix tests with flask 2.2 and pytest-asyncio
Patch3:         https://github.com/mitmproxy/mitmproxy/commit/198c2d55657179baeee3bb8019612e1d0319ff25.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with check}
BuildRequires:  glibc-langpack-en
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(parver)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(pytest-xdist)
%endif

%description
mitmproxy is an interactive, SSL-capable man-in-the-middle proxy for HTTP with
a console interface.

mitmdump is the command-line version of mitmproxy. Think tcpdump for HTTP.

libmproxy is the library that mitmproxy and mitmdump are built on.

%prep
%autosetup -p1
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%if %{with check}
%check
%pytest -v \
     --numprocesses=auto \

%endif

%files
%doc CHANGELOG.md CONTRIBUTING.md README.md SECURITY.md examples/
%license LICENSE
%{_bindir}/mitmproxy
%{_bindir}/mitmdump
%{_bindir}/mitmweb
%{python3_sitelib}/mitmproxy
%{python3_sitelib}/mitmproxy-%{version}.dist-info

%changelog
* Fri Jan 20 2023 Dominik Mierzejewski <dominik@greysector.net> - 8.1.1-2
- relax deps versions requirements to fix build on rawhide
- fix tests

* Fri Jul 22 2022 Dominik Mierzejewski <rpm@greysector.net> - 8.1.1-1
- update to 8.1.1
- fix build with python 3.11
- bump kaitaistruct version requirement

* Wed Feb 03 2021 Dominik Mierzejewski <rpm@greysector.net> - 6.0.2-1
- update to 6.0.2
- drop obsolete patches

* Sun May 10 2020 Dominik Mierzejewski <rpm@greysector.net> - 5.1.1-1
- update to upstream release 5.1.1

* Tue Oct 01 2019 Dominik Mierzejewski <rpm@greysector.net> - 5.0.0-0.1.dev0.git93f9e30
- update to git master 93f9e30

* Fri Jan 04 2019 Dominik Mierzejewski <rpm@greysector.net> - 4.0.4-1
- Update to latest upstream release 4.0.4
- switch to python3

* Sun Jan 24 2016 Fabian Affolter <mail@fabian-affolter.ch> - 0.15-1
- Update to latest upstream release 0.15

* Fri Oct 30 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.13-1
- Update macros
- Update to latest upstream release 0.13

* Fri Jun 26 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.1-2
- Source update

* Wed Jun 03 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.1-1
- Update to latest upstream release 0.12.1

* Wed Mar 04 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.3-1
- Update to latest upstream release 0.11.3

* Sun Sep 28 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.1-1
- Rename the spec file to mitmproxy
- Update to latest upstream release 0.10.1

* Wed Mar 12 2014 Dhiru Kholia <dhiru@openwall.com> - 0.10-3
- fixed non-executable-script error (BZ #1070418)

* Thu Feb 27 2014 Dhiru Kholia <dhiru@openwall.com> - 0.10-2
- changed URL, fixed description, fixed doc section (BZ #1070418)

* Thu Feb 27 2014 Dhiru Kholia <dhiru@openwall.com> - 0.10-1
- initial version
